.card-stack {
    position: relative;
    display: flex;
    gap: calc(var(--spacing) * 16);
    --carousel-width: 100%;

    .cards-stack-list {
        list-style: none;
        display: flex;
        align-items: center;
        flex-direction: column;
        gap: 2rem;
        width: 100%;

        div.post-card {
            position: sticky;
            background: white;
            display: flex;
            aspect-ratio: 2/1;
            height: fit-content;
            width: var(--carousel-width);
            scale: calc(1 + (var(--index) * var(--scale)));
            top: calc(10rem + calc(var(--index) * var(--card-spacing)));
            margin-bottom: calc(1rem * calc(1 + (var(--index) * var(--scale))));
            transform-origin: top;
        }
    }
}
